<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.business.mapper.vacation.TVacationRuleConfigMapper">

    <resultMap id="BaseResultMap" type="com.yifu.cloud.plus.v1.business.entity.vacation.TVacationRuleConfig">
            <id property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="type" column="TYPE" jdbcType="CHAR"/>
            <result property="vacationAutoInit" column="VACATION_AUTO_INIT" jdbcType="CHAR"/>
            <result property="vacationInitDate" column="VACATION_INIT_DATE" jdbcType="DATE"/>
            <result property="timeScale" column="TIME_SCALE" jdbcType="CHAR"/>
            <result property="timeValue" column="TIME_VALUE" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,TYPE,VACATION_AUTO_INIT,
        VACATION_INIT_DATE,TIME_SCALE,TIME_VALUE
    </sql>
</mapper>
